import { get, uget, post, upost } from '@/http/index'

export const dictList = async (data) => {
  return await post('/carryingtask/calculationModel/dictList', data)
}

export const page = async (data) => {
  return await post('/carryingtask/calculationModel/page', data)
}

export const addCalculationModel = async (data) => {
  return await post('/carryingtask/calculationModel/add', data)
}

export const editCalculationModel = async (data) => {
  return await post('/carryingtask/calculationModel/edit', data)
}

export const removeCalculationModel = async (data) => {
  return await post('/carryingtask/calculationModel/remove', data)
}

export const enableOrDisable = async (data) => {
  return await post('/carryingtask/calculationModel/enableOrDisable', data)
}

export const calculationModelVersionPage = async (data) => {
  return await post('/carryingtask/calculationModelVersion/page', data)
}

export const enableModel = async (data) => {
  return await post('/carryingtask/calculationModelVersion/enableModel', data)
}

export const release = async (data) => {
  return await post('/carryingtask/calculationModel/release', data)
}
